Subject: bug#14567: Scrolling of large images

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jun 2013 12:39:11 +0300

> From: David Engster <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 15 Jun 2013 11:02:46 +0200
> 
> > Thanks.  Unfortunately, using Emacs with Imagemagick support is a
> > no-starter for me.
> 
> It's only needed for scaling, though. If you have at least libjpeg, then
> just download those two images
> 
> http://randomsample.de/bigimage.jpg
> http://randomsample.de/smallimage.jpg
> 
> and use
> 
> (with-current-buffer (get-buffer-create "test")
>   (erase-buffer)
>   (let ((imagelarge (create-image "~/bigimage.jpg"))
> 	(imagesmall (create-image "~/smallimage.jpg")))
>     (dotimes (i 20)
>       (insert "\n*** " (number-to-string i)" ***\nThis is a line of text.\nAnd here's a large image:\n")
>       (insert-image imagelarge)
>       (insert "\nAnd a small image:\n")
>       (insert-image imagesmall))
>     (goto-char (point-min))))
> 
> >However, I tried to cover every possibility of using non-numeric values
> >in numeric context.  Please try the patch below (it's relative to the
> >current trunk, not to the previous patch), and see if it gives good
> >results.  If you still get errors, please manually load simple.el (not
> >simple.elc) into your Emacs, run your test snippet, and see if the
> >backtrace can pinpoint the place where I missed something.
> 
> It fails in line 4789 because 'py' is nil. I attached the backtrace.

Thanks.  I fixed that and committed the result as trunk revision
112998.  I am not closing the bug yet because it still jumps
sometimes, although the context of point is now preserved, unlike
before the changes.  I will see if I can prevent those jumps.